using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace TestLoginControl
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void loginControl_LoginClicked(object sender, LoginControl.LoginEventArgs e)
        {
            if ((e.EnteredName == "csharp") && (e.EnteredPass == "cool"))
            {
                loginControl.ShowMessage(null);
                MessageBox.Show("Willkommen", "TestLoginControl", MessageBoxButtons.OK, MessageBoxIcon.Information);
                this.Close();
            }
            else
            {
                if (loginControl.ClickCount > 3)
                {
                    MessageBox.Show("Mehr als drei Versuche haben Sie leider nicht.", "TestLoginControl",
                                    MessageBoxButtons.OK, MessageBoxIcon.Stop);
                    this.Close();
                }
                else
                {
                    loginControl.ShowMessage("Die Angaben sind leider falsch.");
                }
            }

        }
    }
}
